Bug 1907

Summary: Add IsSupportedMcs method in YansWifiPhy to support 802.11n simulations
Product: ns-3 Reporter: sebastien.deronne
Component: wifiAssignee: Daniel L. <nikkipui>
Status: RESOLVED FIXED    
Severity: major CC: gbadawy, ns-bugs, tommaso.pecorella
Priority: P5    
Version: ns-3-dev   
Hardware: All   
OS: All   
Attachments: patch v1

Description sebastien.deronne 2014-04-25 05:36:51 EDT
Created attachment 1828 [details]
patch v1

With the adding of a condition in YansWifiPhy::StartReceive methode, i.e. if (IsModeSupported (txMode)), 802.11n simulations result in a null throughput.

This is due to the fact that IsModeSupported method does not include 802.11n MCS rates

As a result, we need to add a method IsMcsSupported and adapt the previous condition to include MCS rates.

I provide a patch to correct this bug, which should be quickly merged since no 802.11n simulations can be achieved in ns-3-dev without applying this patch.
Comment 1 sebastien.deronne 2014-06-04 03:39:57 EDT
Could we merge this bug before ns-3.20 release?
Comment 2 gbadawy 2014-06-04 21:03:17 EDT
The patch looks OK to me
Comment 3 Tommaso Pecorella 2014-06-06 17:35:00 EDT
changeset 10801	02d564a4c823